package jp.agentec.abook.abv.bl.dto;

import java.util.Date;

/**
 * Created by seo-y on 2018/12/17.
 */

public class RoutineTaskReportDto extends AbstractDto {

    public String taskKey;
    public int taskReportId;
    public int taskReportInfoId;
    public Date reportStartDate;
    public Date reportEndDate;
    public String attachedFileName;
    public String localAttachedFileName;
    public String jsonData;
    public boolean dataSendFlag;
    public boolean attachedFileSendFlag;
    public boolean reportedFlag;

    @Override
    public Object[] getInsertValues() {
        return new Object[]{ taskKey, taskReportId, taskReportInfoId, reportStartDate, reportEndDate, attachedFileName, localAttachedFileName, jsonData, dataSendFlag, attachedFileSendFlag, reportedFlag };
    }

    @Override
    public Object[] getUpdateValues() {
        return new Object[]{ reportEndDate, attachedFileName, localAttachedFileName, jsonData, dataSendFlag, attachedFileSendFlag, reportedFlag, taskKey, taskReportId, reportStartDate };
    }

    @Override
    public String[] getKeyValues() {
        return new String[] { "" + taskReportId + reportStartDate };
    }
}
